Products

Solutions

Learn More

Partners

Community

Blog

About

Welcome to the DNN Community Forums, your preferred source of online community support for all things related to DNN.
In order to participate you must be a registered DNNizen

HomeHomeDNN Open Source...DNN Open Source...Module ForumsModule ForumsForm and ListForm and ListHelp!  Upgraded to 6.0.4 and now compile error.Help! Upgraded to 6.0.4 and now compile error.
Previous
 
Next
New Post
4/9/2013 2:35 PM
 
I was going through my install of DNN 6 and updating modules.  It was going along fine until I got to the Forms and List module.

After installing and refreshing the screen I get the following compilation error on line 61 of App_Code\FormAndList.Attachment.vb.

Compilation Error
Description: An error occurred during the compilation of a resource required to service this request. Please review the following specific error details and modify your source code appropriately.

Compiler Error Message: BC30451: Name 'DataSetTableName' is not declared.

Source Error:


Line 59: Public Overrides Sub RenderValuesToHtmlInsideDataSet(ByVal ds As System.Data.DataSet, ByVal ModuleId As Integer, ByVal noscript As Boolean)
Line 60: Dim fields As New List(Of String)
Line 61: Dim tableData As DataTable = ds.Tables(DataSetTableName.Data)
Line 62:
Line 63: For Each row As DataRow In ds.Tables(DataSetTableName.Fields).Rows
 
New Post
4/9/2013 2:37 PM
 
Sorry for the double post. My connection is acting up.
 
New Post
4/9/2013 3:34 PM
Accepted Answer 
Found the problem. The F & L module was customized to handle Attachments and the new version didn't handle the new code.

Had to manually uninstall the new F & L module, then reinstall the older version.
 
New Post
4/22/2013 3:20 AM
 
Hi
How did you manually uninstall it? My entire dnn installation is dead cause of this bug. Can't login, can't do anything. Also, what version did you downgrade to? The previous one I had has another bug something along the lines of 'DataType' is ambiguous, imported from the namespaces.

Man! this is one buggy module.
 
New Post
4/22/2013 3:39 AM
 
to disable a blocking module, remove it's dll from bin and optionally module Folder in /desktopModules - for Form and List, remove userdefinedtables.dll and /desktopModules/userdefinedtable Folder.
Do NOT uninstall the module, this would remove all module content.
After your site is up and running, install latest module version via Host > Extensions.

Cheers from Germany,
Sebastian Leupold (Microsoft MVP)

dnnWerk - The DotNetNuke Experts   German Spoken DotNetNuke User Group   European Network of DotNetNuke Professionals

Speed up your DNN Websites with TurboDNN
 
Previous
 
Next
HomeHomeDNN Open Source...DNN Open Source...Module ForumsModule ForumsForm and ListForm and ListHelp!  Upgraded to 6.0.4 and now compile error.Help! Upgraded to 6.0.4 and now compile error.


These Forums are dedicated to discussion of DNN Platform and Evoq Solutions.

For the benefit of the community and to protect the integrity of the ecosystem, please observe the following posting guidelines:

  1. No Advertising. This includes promotion of commercial and non-commercial products or services which are not directly related to DNN.
  2. No vendor trolling / poaching. If someone posts about a vendor issue, allow the vendor or other customers to respond. Any post that looks like trolling / poaching will be removed.
  3. Discussion or promotion of DNN Platform product releases under a different brand name are strictly prohibited.
  4. No Flaming or Trolling.
  5. No Profanity, Racism, or Prejudice.
  6. Site Moderators have the final word on approving / removing a thread or post or comment.
  7. English language posting only, please.
DNN Launch Webinar
REGISTER NOW
DNN Launch Webinar
REGISTER NOW
DNN Launch Webinar
REGISTER NOW